/*#######################################################################################
ATmega32 ADC TEST PROGRAMM 

Copyright (C) 2005 Branko Golubovic

branko.golubovic@gmx.at

#######################################################################################*/

#ifndef _MAIN_H
 #define _MAIN_H

#include <stdio.h>
#include <stdlib.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <avr/signal.h>




#include "ioinit.h"
#include "clock.h"
#include "spi.h"
#include "spi_lcd.h"
#include "timer0.h"


//Der Quarz auf dem Experimentierboard hat eine Frequenz von 14.318MHz
//#define SYSCLK	14318180	//Quarz Frequenz in Hz
#define SYSCLK	16000000	//Quarz Frequenz in Hz
#define SYSCLK_KHZ SYSCLK/1000	//Quarz Frequenz in KHz

#define UP	128
#define DOWN	32
#define LEFT	16
#define RIGHT	1
#define RESET 2

#define KEYPRESS	0
#define KEY_EDGE		2
#define KEY_TIME		50
#define KEY_REPEAT_TIME	10

#define nop()  __asm__ __volatile__ ("nop" ::)

#endif //_MAIN_H






