/*#######################################################################################
Timer0 Functions

Copyright (C) 2005 Branko Golubovic
branko.golubovic@gmx.at
#######################################################################################*/

#ifndef _TIMER0_H
 #define _TIMER0_H
 
//#define USE_T0_OVERFLOW
#define USE_OC0_INTERRUPT
 
#define CLOCKSYNC	0	
#define KEYSYNC		1

#define CLOCKCOUNT	250
#define KEYCOUNT	4


//#define timer0_stop()	TCCR0&=~((1<<CS00)|(1<<CS01)|(1<<CS02))
extern void timer0_init(void);
extern void timer0_stop(void);
extern void timer0_start(void);
extern volatile unsigned char syncbute;
extern volatile unsigned char ss	; //Variable fr Sekunden
extern volatile unsigned char mm	;//Variable fr Minuten
extern volatile unsigned char hh	;//Variable fr Stunden


#endif //_TIMER0_H